<?php

declare(strict_types=1);
/**
 * This is the starting point for parsing all UI Components related data out of the respective factories. The
 * component described here is the root node in the tree of UI Components and named UIComponent
 *
 * ---
 * description:
 *   purpose: What is to be done by this control
 *   composition: What happens if the control is operated
 *   effect: What happens if the control is operated
 *   rivals:
 *     Rival 1: What other controls are similar, what is their distinction
 *
 * background: Relevant academic information
 * context:
 *     - The context states where this control is used specifically (this list might not be complete) and how common is this control used
 *
 * rules:
 *   usage:
 *     1: Where and when an element is to be used or not.
 *   interaction:
 *     2: How the interaction with this object takes place.
 *   wording:
 *     3: How the wording of labels or captions must be.
 *   style:
 *     4: How this element should look like.
 *   ordering:
 *     5: How different elements of this instance are to be ordered.
 *   responsiveness:
 *     6: How this element behaves on changing screen sizes
 *   accessibility:
 *     7: How this element is made accessible
 *
* ---
* @return \ILIAS\UI\Factory
 * public function UIComponent()
 *
 * **/
