<?php

/**
 * This file is part of ILIAS, a powerful learning management system
 * published by ILIAS open source e-Learning e.V.
 *
 * ILIAS is licensed with the GPL-3.0,
 * see https://www.gnu.org/licenses/gpl-3.0.en.html
 * You should have received a copy of said license along with the
 * source code, too.
 *
 * If this is not the case or you just want to try ILIAS, you'll find
 * us at:
 * https://www.ilias.de
 * https://github.com/ILIAS-eLearning
 *
 *********************************************************************/

declare(strict_types=1);

namespace ILIAS\ResourceStorage;

/**
 * Class Artifacts
 * @internal
 * @author Fabian Schmid <fabian@sr.solutions>
 */
class Artifacts
{
    private array $flavour_machines;
    private array $flavour_definitions;

    public function __construct(array $flavour_machines, array $flavour_definitions)
    {
        $this->flavour_machines = $flavour_machines;
        $this->flavour_definitions = $flavour_definitions;
    }

    public function getFlavourMachines(): array
    {
        return $this->flavour_machines;
    }

    public function getFlavourDefinitions(): array
    {
        return $this->flavour_definitions;
    }
}
